Skip to main content
GET
/
polymarket
/
order-book
Get order book
curl --request GET \
  --url https://api.struct.to/v1/polymarket/order-book
{
  "ts": 123,
  "position_id": "<string>",
  "condition_id": "<string>",
  "bids": [
    {
      "p": "<string>",
      "s": "<string>"
    }
  ],
  "asks": [
    {
      "p": "<string>",
      "s": "<string>"
    }
  ],
  "hash": "<string>",
  "best_bid": 123,
  "best_ask": 123,
  "mid_price": 123,
  "spread": 123,
  "bid_liquidity_usd": 123,
  "ask_liquidity_usd": 123,
  "bid_levels": 123,
  "ask_levels": 123
}

Query Parameters

position_id
string
required

Token ID (position ID) to query

Response

Latest orderbook snapshot. ts is Unix milliseconds.

ts
integer<int64>
required

Unix timestamp in seconds.

position_id
string
required

Position ID.

condition_id
string
required

Condition ID.

bids
object[]
required

Bid levels for the order book.

asks
object[]
required

Ask levels for the order book.

hash
string
required

Order book snapshot hash.

best_bid
number<double> | null

Best bid.

best_ask
number<double> | null

Best ask.

mid_price
number<double> | null

Mid price.

spread
number<double> | null

Spread.

bid_liquidity_usd
number<double> | null

Bid liquidity in USD.

ask_liquidity_usd
number<double> | null

Ask liquidity in USD.

bid_levels
integer<int32> | null

Bid levels.

ask_levels
integer<int32> | null

Ask levels.

Last modified on June 17, 2026